Download it now!
Bug 90530 - FILESAVE: XLSX - Chart being saved in OOXML 2007 format
Summary: FILESAVE: XLSX - Chart being saved in OOXML 2007 format
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.3.5.2 release
Hardware: Other All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: ooxml2007
Keywords: bibisected, bisected, regression
Depends on:
Blocks: OOXML-2007
  Show dependency treegraph
 
Reported: 2015-04-09 16:07 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-05-14 07:31 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (12.77 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2015-04-09 16:07 UTC, Yousuf Philips (jay) (retired)
Details
how it looks before saving and after reopening (62.06 KB, image/png)
2015-04-09 16:09 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-04-09 16:07:06 UTC
Created attachment 114697 [details]
sample file

Steps:
1) Open attached file
2) Observe how the chart looks
3) Save and close
4) Reopen file
5) Notice that the chart is different

The chart is larger than it used to be, so 'Age' title isnt seen

Version: 4.5.0.0.alpha0+
Build ID: 2bbce7dcd46e8aca716808602aa152ecd85b42af
TinderBox: Win-x86@42, Branch:master, Time: 2015-04-07_22:55:39
Comment 1 Yousuf Philips (jay) (retired) 2015-04-09 16:09:00 UTC
Created attachment 114698 [details]
how it looks before saving and after reopening

It is possible that this is a fileopen issue, as when opening the saved xlsx file in LO, it shows that there is no title, but opening it in excel shows it with a title.
Comment 2 Yousuf Philips (jay) (retired) 2015-04-09 16:21:35 UTC
Okay its a fileopen issue as opening the xlsx saved in master in 4.2.8 shows the title.
Comment 3 Matthew Francis 2015-04-09 17:13:48 UTC
This changed at the below commit.
(Not Cc'ing Markus on bugs by his request)

    commit 2f74e52a6efe7a51d6575cbb9b5f30b1ad99ee7c
    Author:     Markus Mohrhard <markus.mohrhard@collabora.co.uk>
    AuthorDate: Sun Jun 22 04:47:36 2014 +0200
    Commit:     Markus Mohrhard <markus.mohrhard@collabora.co.uk>
    CommitDate: Sun Jun 22 05:05:01 2014 +0200
    
        use the correct default value, fdo#78080
    
        Change-Id: I8b01bf22e8e3b98ef013b947f617905d558d3554
Comment 4 A (Andy) 2015-04-09 17:27:07 UTC
Reproducible with LO 4.4.1.2, Win 8.1
Comment 5 Yousuf Philips (jay) (retired) 2015-04-10 12:05:20 UTC
It seems likely that the chart is being written in the OOXML 2007 format and the ooxml import filter no longer supports the 2007 format, as Markus mentioned in bug 82216 comment 4.

So this turns around to be a filesave issue as its saving in a format that it itself cant reopen correctly.
Comment 6 Markus Mohrhard 2015-04-15 03:13:06 UTC
Fixed in master.
Comment 7 Yousuf Philips (jay) (retired) 2015-04-18 19:54:12 UTC
Verified in master.

Version: 5.0.0.0.alpha0+
Build ID: 211c12b9c64facd1c12f637a5229bd6a6feb032a
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2015-04-18_00:37:15
Comment 8 Robinson Tryon (qubit) 2015-12-17 08:52:06 UTC Comment hidden (obsolete)